stepic (version 0.5.0) | index /usr/lib/python3/dist-packages/stepic/__init__.py

`Python image steganography
Stepic hides arbitrary data inside Pillow images.
Stepic uses the Python Image Library (Pillow)
(apt: python3-pil, web: <https://pypi.org/project/Pillow/>).`

Package Contents

``

Classes

``

builtins.object
  Steganographer

class Steganographer(builtins.object)
`` | `Steganographer(image) deprecated`

Methods defined here:

__init__(self, image)
  `Initialize self. See help(type(self)) for accurate signature.`

decode(self)

encode(self, data)

Data descriptors defined here:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

Functions

``

decode(image)
  `extracts data from an image`

decode_files(image_in, data_out)
  `Main function for decoding data from image files.
  @param image_in: Filename of image containing embeded data
  @param data_out: Filename of text file to write the data
  @return: None (data written to disk in data_out)`

decode_imdata(imdata)
  `Given a sequence of pixels, returns an iterator of characters
  encoded in the image`

encode(image, data)
  `generates an image with hidden data, starting with an existing
  image and arbitrary data`

encode_files(image_in, data_in, image_out, format)
  `Main function for encoding data in image files.
  @param image_in: Filename of image in which to embed data
  @param data_in: Filename of text file containing data
  @param image_out: Output file name
  @param format: Format of ouput image, use 'None' to keep the input format
  @return: None (image_out written to disk)`

encode_imdata(imdata, data)
  `given a sequence of pixels, returns an iterator of pixels with
  encoded data`

encode_inplace(image, data)
  `hides data in an image`

Data
`` |  | __all__ = ('encode_imdata', 'encode_inplace', 'encode', 'decode_imdata', 'decode', 'Steganographer', 'encode_files', 'decode_files')

Author
`` |  | Lenny Domnitser <http://domnit.org/>